package com.liquidnet.client.admin.zhengzai.adam.service;

import com.github.pagehelper.PageInfo;
import com.liquidnet.service.adam.dto.param.AdamCaomeiPassportSearchParam;
import com.liquidnet.service.adam.dto.vo.AdamCaomeiPassportDetailVo;
import com.liquidnet.service.adam.dto.vo.AdamCaomeiPassportListVo;

/**
 * 草莓护照-护照管理
 */
public interface IAdamCaomeiPassportAdminService {

    PageInfo<AdamCaomeiPassportListVo> listPassports(AdamCaomeiPassportSearchParam param);

    int countBoundPassports();

    AdamCaomeiPassportDetailVo getPassportDetail(String passportNo);

    boolean unbindPassport(String passportNo);
}
